PDOStatement->fetchColumn
PDOStatement->getAttribute
PDOStatement
PHP Manual

# PDOStatement->fetchObject

(PHP 5 >= 5.1.0, PECL pdo >= 0.2.4)

PDOStatement->fetchObject — Fetches the next row and returns it as an object.

### Description

mixed PDOStatement::fetchObject ([ string `$class_name` [, array `$ctor_args` ]] )

Fetches the next row and returns it as an object. This function is an alternative to PDOStatement::fetch() with `PDO::FETCH_CLASS` or `PDO::FETCH_OBJ` style.

### Parameters

`class_name`

  Name of the created class, defaults to stdClass.

`ctor_args`

  Elements of this array are passed to the constructor.

### Return Values

Returns an instance of the required class with property names that correspond to the column names or `FALSE` in case of an error.

### See Also

- PDOStatement::fetch() - Fetches the next row from a result set

PDOStatement->fetchColumn
PDOStatement->getAttribute
PDOStatement
PHP Manual